summaryrefslogtreecommitdiffstats
path: root/dcopidlng/dcopidlng
diff options
context:
space:
mode:
Diffstat (limited to 'dcopidlng/dcopidlng')
-rwxr-xr-xdcopidlng/dcopidlng10
1 files changed, 10 insertions, 0 deletions
diff --git a/dcopidlng/dcopidlng b/dcopidlng/dcopidlng
new file mode 100755
index 00000000..d9ba453d
--- /dev/null
+++ b/dcopidlng/dcopidlng
@@ -0,0 +1,10 @@
+#!/bin/sh
+trap "rm -f dcopidlng.stderr.$$" 0 1 2 15
+LIBDIR=`dirname $0`
+perl -I"$LIBDIR" "$LIBDIR/kalyptus" --allow_k_dcop_accessors -f dcopidl $1 2>dcopidlng.stderr.$$
+RET=$?
+if [ $RET -ne 0 ]
+then
+ cat dcopidlng.stderr.$$ >&2
+fi
+exit $RET